Bug 44324 - System locks up when running multiple mke2fs's
System locks up when running multiple mke2fs's
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-06-12 16:48 EDT by Bryan Leopard
Modified: 2007-03-26 23:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-06 09:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-06-12 16:48:07 EDT
Kernel: 2.4.3-11smp

System: Compaq IA64 Pilot-4 M01(05/22/2001)
2 800Mhz/4MB C0 processors
ROC is boot contoller
SmartArray 5300 in slot 2 w/4 logical drives (16GB, 214GB, 180GB, 80GB)

The system locks up within 2 minutes when trying to create ext2 
filesystems on all 4 logical drives simultaneously.

Use this script:
for d in 0 1 2 3 ; do
  mke2fs /dev/cciss/c0d${d}p1 &

A system running a 2.4.5 kernel does not lock up in this manner.
Comment 1 Arjan van de Ven 2001-06-12 16:50:57 EDT
1) How much memory does the machine have?
2) Locks up -> hard lock (eg no keyboard leds etc) ??
Comment 2 Bill Nottingham 2001-06-12 16:53:06 EDT
Did you happen to fill up the SWIOTLB, and panic it that way?  I could certainly
see 4 simultaneous mke2fs's doing this.
Comment 3 Bryan Leopard 2001-06-13 09:52:45 EDT
New Info.

The system doesn't actually lock up.  It finishes th tasks, but takes an 
extremely long time and during this time, the system is no responsive.  This 
problems seems to be affected by memory.  The more memory, the worse the 
problem.  We have seen this problem with 1GB and 6GB.  This was reproduced on 
SCSI and array.
Comment 4 Glen Foster 2001-07-13 18:05:51 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 5 Bill Nottingham 2001-08-08 22:58:24 EDT
Does this perform any better under the 2.4.7 kernel?
Comment 6 Bill Nottingham 2001-08-22 22:56:00 EDT
arjan: http://uwsg.iu.edu/hypermail/linux/kernel/0108.2/1270.html

Comment 7 Arjan van de Ven 2001-08-23 03:23:31 EDT
yes; we fixed this before, then Linus unfixed it again.... sigh

Note You need to log in before you can comment on or make changes to this bug.